Subject: Panel's indicator

From: [email-masked]
Date: Mon, 11 Oct 1999 16:42:47 -0500 (CDT)

Full_Name: Nadim Saeed
Version: 2.3.9
CVS_Date: 
OS: SunOS 5.5.1 Generic_103640-17 sun4u sparc SUNW,Ultra-2

X_Server: exceed 6.1.0.0
Submission from: (NULL) (207.137.158.177)

The "indicator" panel option is not very versatile.  For example, I'm
unable to
use a title, icon and indicator all at the same time.  From what I've
noticed, 
it seems as though the indicator is drawn in the middle of the button
which
precludes the ability to also include an icon (pixmap) and/or a title
since
those options will also be drawn right smack in the middle of the button.

I'd like to be able to:

*FvwmButtons(Title Size, \
             Icon size.xpm, \
             Panel(indicator 20, down, delay 0, steps 16) \
             Panel1 "Module FvwmButtons Panel1")
*Panel1(Icon resize.xpm, Action Resize)
*Panel1(Icon move.xpm, Action Move)

A couple of suggestions,

 1. Give the user the option to specify where the indicator should reside
    within the button.  "right/left/top/bottom"
    Something along the lines,

    Panel(indicator 30 bottom)
                    ^^
                    Size as it exists today

    Panel(indicator right)
     +-------+
     |       |
     |  pix  |  <-- icon (pixmap)
     |       |
     | title |  <-- title
     |       |
     |   v   |  <-- indicator (at bottom)
     +-------+

 2. The whole idea behind the "indicator" was to /indicate/ or show that a
    panel exists there-in.  The arrow is nice, but not absolutely
necessary.
    I was initially thinking about a pixmaped arrow (such as the one in
    Netscape's Back/Forward buttons) that would be _very_ small and could
be
    added at no further button-area expense (an overlay if you will).

    To possibly simplify life (and this is a mere suggestion :-), one
could
    come up with a much simpler indicator (such as a solid line or a group
    of lines - kinda like the sticky window style) that would indicate
that
    there is a panel.  That indicator would reside on the side of the
button
    (right/left/top/bottom) in the same direction that the panel would
appear.

     +-------+
     |       |
     |  pix  |  <-- icon (pixmap)
     |       |
     | title |  <-- title
     |       |
     |-------|  <-- indicator (at bottom)
     +-------+

Alas, the ability to use all three (title, icon & indicator) options
within
FvwmButtons should be possible. 

 - Nadim

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]